- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_wireless_controller_global – Configure wireless controller global settings in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify wireless_controller feature and global category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean added in 2.9 | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
wireless_controller_global dictionary | Default: null | Configure wireless controller global settings.
| ap_log_server string | Choices: enable disable | Enable/disable configuring APs or FortiAPs to send log messages to a syslog server .
| ap_log_server_ip string |  | IP address that APs or FortiAPs send log messages to.
| ap_log_server_port integer |  | Port that APs or FortiAPs send log messages to.
| control_message_offload string | Choices: ebp-frame aeroscout-tag ap-list sta-list sta-cap-list stats aeroscout-mu | Configure CAPWAP control message data channel offload.
| data_ethernet_II string | Choices: enable disable | Configure the wireless controller to use Ethernet II or 802.3 frames with 802.3 data tunnel mode .
| discovery_mc_addr string |  | Multicast IP address for AP discovery .
| fiapp_eth_type integer |  | Ethernet type for Fortinet Inter-Access Point Protocol (IAPP), or IEEE 802.11f, packets (0 - 65535).
| image_download string | Choices: enable disable | Enable/disable WTP image download at join time.
| ipsec_base_ip string |  | Base IP address for IPsec VPN tunnels between the access points and the wireless controller .
| link_aggregation string | Choices: enable disable | Enable/disable calculating the CAPWAP transmit hash to load balance sessions to link aggregation nodes .
| location string |  | Description of the location of the wireless controller.
| max_clients integer |  | Maximum number of clients that can connect simultaneously .
| max_retransmit integer |  | Maximum number of tunnel packet retransmissions (0 - 64).
| mesh_eth_type integer |  | Mesh Ethernet identifier included in backhaul packets (0 - 65535).
| name string |  | Name of the wireless controller.
| rogue_scan_mac_adjacency integer |  | Maximum numerical difference between an AP's Ethernet and wireless MAC values to match for rogue detection (0 - 31).
| wtp_share string | Choices: enable disable | Enable/disable sharing of WTPs between VDOMs.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure wireless controller global settings.
        fortios_wireless_controller_global:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          wireless_controller_global:
            ap_log_server: "enable"
            ap_log_server_ip: "<your_own_value>"
            ap_log_server_port: "5"
            control_message_offload: "ebp-frame"
            data_ethernet_II: "enable"
            discovery_mc_addr: "<your_own_value>"
            fiapp_eth_type: "9"
            image_download: "enable"
            ipsec_base_ip: "<your_own_value>"
            link_aggregation: "enable"
            location: "<your_own_value>"
            max_clients: "14"
            max_retransmit: "15"
            mesh_eth_type: "16"
            name: "default_name_17"
            rogue_scan_mac_adjacency: "18"
            wtp_share: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.